class CreateImageContents < ActiveRecord::Migration[6.0]
  def change
    create_table :image_contents do |t|
      t.references   :image_file,   index: true
      t.integer      :width
      t.integer      :height
      t.string       :alignement
      t.boolean      :expandable,   :default => false
      t.string       :style
      t.string       :alt
      t.references   :cible,   index: true
      t.string       :cible_type
      t.boolean      :with_cible,   :default => false
      t.boolean      :popup,   :default => false
      t.integer      :margin_top
      t.integer      :margin_left
      t.integer      :margin_right
      t.integer      :margin_bottom
      t.boolean      :with_legend,   :default => false

      t.timestamps
    end
  end
end
